Package wx :: Class DataObjectComposite

[frames | no frames]

## Type DataObjectComposite

    object --+
             |
    DataObject --+
                 |
                DataObjectComposite

wx.DataObjectComposite is the simplest `wx.DataObject` derivation which may be sued to support multiple formats. It contains several 'wx.DataObjectSimple` objects and supports any format supported by at least one of them. Only one of these data objects is preferred (the first one if not explicitly changed by using the second parameter of `Add`) and its format determines the preferred format of the composite data object as well.

See `wx.DataObject` documentation for the reasons why you might prefer to use wx.DataObject directly instead of wx.DataObjectComposite for efficiency reasons.

Method Summary
DataObjectComposite | ``__init__`(self)` wx.DataObjectComposite is the simplest `wx.DataObject` derivation which may be sued to support multiple formats.
| ``Add`(self, dataObject, preferred)` Adds the dataObject to the list of supported objects and it becomes the preferred object if preferred is True.
DataFormat | ``GetReceivedFormat`(self)` Report the format passed to the `SetData` method.

Property Summary
| `ReceivedFormat`: See `GetReceivedFormat`
| `thisown`: The membership flag

Class Variable Summary

Method Details

### __init__(self)
(Constructor)

wx.DataObjectComposite is the simplest `wx.DataObject` derivation which may be sued to support multiple formats. It contains several 'wx.DataObjectSimple` objects and supports any format supported by at least one of them. Only one of these data objects is preferred (the first one if not explicitly changed by using the second parameter of `Add`) and its format determines the preferred format of the composite data object as well.

See `wx.DataObject` documentation for the reasons why you might prefer to use wx.DataObject directly instead of wx.DataObjectComposite for efficiency reasons.

  Returns:
    DataObjectComposite
  Overrides:
    `wx.DataObject.__init__`

### Add(self, dataObject, preferred=False)

Adds the dataObject to the list of supported objects and it becomes the preferred object if preferred is True.

  Parameters:
    `dataObject`
    (type=DataObjectSimple)

    `preferred`
    (type=bool)

### GetReceivedFormat(self)

Report the format passed to the `SetData` method. This should be the format of the data object within the composite that recieved data from the clipboard or the DnD operation. You can use this method to find out what kind of data object was recieved.

  Returns:
    DataFormat

Property Details

### ReceivedFormat

See `GetReceivedFormat`

  Get Method:
    `GetReceivedFormat`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:23 2007 | http://epydoc.sf.net